c-icap-mods-sguardDB(8)

NAME
c-icap-mods-sguardDB - simple utility to create Berkeley DB lookup tables

SYNOPSIS
c-icap-mods-sguardDB [ -d debug_level ] [ -db path ] [ -C ] [ -u ] [ -s url ] [ -f urls|domains ] [ --dump ]

DESCRIPTION
c-icap-mods-sguardDB utility can be used to create SquidGuard databases which can be used with url_check service.

OPTIONS

-d debug_level
    The debug level to use

-db path
    The database path

-C  Create mode. Create the database using the "domains" and "urls" files exist under the database directory.

-u  Update mode. Update the database using the "domains.diff" and "urls.diff" files exist under th database directory. Each diff file consist by lines starting from "+" to mark a url or a domain to be appended to the database or "-" to mark a domain or url to be removed from database.

-s url
    Search in the database for a url or domain matches the given url

-f urls|domains
    Select the sub-database (urls or domains) to operate.

EXAMPLES

c-icap-mods-sguardDB -C -db /url/local/blacklists-toulouse/porn/
    It builds the domains.db and urls.db SquidGuard databases under the /url/local/blacklists-toulouse/porn directory using the urls and domains files exist under the same directory.

c-icap-mods-sguardDB -u -db /url/local/blacklists-toulouse/porn/
    updates the SquidGuard databases under the /url/local/blacklists-toulouse/porn directory using the urls.diff and domains.diff files exist under the same directory.

SEE ALSO
c-icap(8)

AUTHOR
Tsantilas Christos